Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class MailingList

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.MailingList

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class MailingList

extends Object

This element describes all of the mailing lists associated with a project. The auto-generated site references this information.

Java class for MailingList complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MailingList">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="subscribe" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="unsubscribe" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="post" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="archive" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="otherArchives" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="otherArchive" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `MailingList.OtherArchives` Java class for anonymous complex type.

Field Summary
`protected String` | `archive`
`protected String` | `name`
`protected MailingList.OtherArchives` | `otherArchives`
`protected String` | `post`
`protected String` | `subscribe`
`protected String` | `unsubscribe`

Constructor Summary
`MailingList()`

Method Summary
`String` | `getArchive()` Gets the value of the archive property.
`String` | `getName()` Gets the value of the name property.
`MailingList.OtherArchives` | `getOtherArchives()` Gets the value of the otherArchives property.
`String` | `getPost()` Gets the value of the post property.
`String` | `getSubscribe()` Gets the value of the subscribe property.
`String` | `getUnsubscribe()` Gets the value of the unsubscribe property.
`void` | `setArchive(String value)` Sets the value of the archive property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOtherArchives(MailingList.OtherArchives value)` Sets the value of the otherArchives property.
`void` | `setPost(String value)` Sets the value of the post property.
`void` | `setSubscribe(String value)` Sets the value of the subscribe property.
`void` | `setUnsubscribe(String value)` Sets the value of the unsubscribe property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String name

### subscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String subscribe

### unsubscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String unsubscribe

### post

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String post

### archive

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String archive

### otherArchives

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected MailingList.OtherArchives otherArchives

Constructor Detail

### MailingList

    public MailingList()

Method Detail

### getName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getSubscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getSubscribe()

  Gets the value of the subscribe property.

  Returns:
    possible object is `String`

### setSubscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSubscribe(String value)

  Sets the value of the subscribe property.

  Parameters:
    `value` - allowed object is `String`

### getUnsubscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUnsubscribe()

  Gets the value of the unsubscribe property.

  Returns:
    possible object is `String`

### setUnsubscribe

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUnsubscribe(String value)

  Sets the value of the unsubscribe property.

  Parameters:
    `value` - allowed object is `String`

### getPost

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getPost()

  Gets the value of the post property.

  Returns:
    possible object is `String`

### setPost

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPost(String value)

  Sets the value of the post property.

  Parameters:
    `value` - allowed object is `String`

### getArchive

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getArchive()

  Gets the value of the archive property.

  Returns:
    possible object is `String`

### setArchive

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setArchive(String value)

  Sets the value of the archive property.

  Parameters:
    `value` - allowed object is `String`

### getOtherArchives

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public MailingList.OtherArchives getOtherArchives()

  Gets the value of the otherArchives property.

  Returns:
    possible object is `MailingList.OtherArchives`

### setOtherArchives

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOtherArchives(MailingList.OtherArchives value)

  Sets the value of the otherArchives property.

  Parameters:
    `value` - allowed object is `MailingList.OtherArchives`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.